CP: Fast Product Search
curl --request GET \
--url https://api.valuechecker.net/search_suggestion \
--header 'Authorization: <api-key>'import requests
url = "https://api.valuechecker.net/search_suggestion"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.valuechecker.net/search_suggestion', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"product_name": "Apple iPhone 14 128GB (2022)",
"pic_url": "https://img.valuechecker.net/,---.jpg",
"product_pic_url": "https://img.valuechecker.net/,---.jpg",
"pid": 1262830543,
"cid": 4364,
"specs": [
{
"spec_id": 999,
"spec_value": "36",
"spec_value_display": "Apple",
"spec_value_numeric": 3,
"spec_name": "brand",
"spec_name_display": "Brand"
},
{
"spec_id": 1580,
"spec_value": "15.494",
"spec_value_display": "6.1\"",
"spec_value_numeric": 15.49,
"spec_name": "",
"spec_name_display": "Foldable Screen"
},
{
"spec_id": 8300,
"spec_value": "2022-07-01",
"spec_value_display": "2022",
"spec_value_numeric": 1656633600,
"spec_name": "release date",
"spec_name_display": "Release Year"
},
{
"spec_id": 8000,
"spec_value": "128000",
"spec_value_display": "128 GB",
"spec_value_numeric": 128000,
"spec_name": "size internal drive",
"spec_name_display": "Storage Capacity"
},
{
"spec_id": 5000,
"spec_value": "15.494",
"spec_value_display": "6.1\"",
"spec_value_numeric": 15.49,
"spec_name": "screen size",
"spec_name_display": "Screen Size"
}
],
"price": {
"price_min": 850,
"price_max": 850,
"shop_count": 10,
"price_date": "2022-09-11 20:40:16"
}
},
{
"product_name": "Apple iPhone 14 Plus 128GB (2022)",
"pic_url": "https://img.valuechecker.net/,---.jpg",
"product_pic_url": "https://img.valuechecker.net/,---.jpg",
"pid": 1262830545,
"cid": 4364,
"specs": [
{
"spec_id": 999,
"spec_value": "36",
"spec_value_display": "Apple",
"spec_value_numeric": 3,
"spec_name": "brand",
"spec_name_display": "Brand"
},
{
"spec_id": 1580,
"spec_value": "No",
"spec_value_display": "",
"spec_value_numeric": 0,
"spec_name": "",
"spec_name_display": "Foldable Screen"
},
{
"spec_id": 8300,
"spec_value": "2022-07-01",
"spec_value_display": "2022",
"spec_value_numeric": 1656633600,
"spec_name": "release date",
"spec_name_display": "Release Year"
},
{
"spec_id": 8000,
"spec_value": "128000",
"spec_value_display": "128 GB",
"spec_value_numeric": 128000,
"spec_name": "size internal drive",
"spec_name_display": "Storage Capacity"
},
{
"spec_id": 5000,
"spec_value": "17.018",
"spec_value_display": "6.7\"",
"spec_value_numeric": 17.02,
"spec_name": "screen size",
"spec_name_display": "Screen Size"
}
],
"price": {
"price_min": 700,
"price_max": 1200,
"shop_count": 134,
"price_date": "2023-07-20 03:41:22"
}
}
],
"query": "iphone 14"
}{
"error": "Missing parameter",
"description": "The \"query\" parameter is required."
}{
"error": "Invalid Authorization header",
"event_code": "ERIT00",
"event_dict": {
"event_severity": "ERROR",
"title": "Invalid Authorization header",
"description": "Please provide the right authorization token"
}
}Endpoint Examples
CP: Fast Product Search
GET
/
search_suggestion
CP: Fast Product Search
Authorizations
Note! Prefix your with apiKey. Note the space after "apiKey ".
Query Parameters
User-input string. The user should enter the name of the product being claimed / searched for.
Optional category selected or defined by the user.
Optional correlating ID of the category selected by the user.
Optional flag to force the use of the requested category.
The client ID for the request. It's required if you have access to multiple clients with your API key. Otherwise, it's optional.
Optional session identifier of the user.
⌘I